<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:marc="http://www.loc.gov/MARC21/slim">

    <xsl:output omit-xml-declaration="yes"/>

    <xsl:template match="node()|@*">
        <xsl:copy>
            <xsl:apply-templates select="node()|@*"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="*">
        <xsl:element name="marc:{name()}" namespace="http://www.loc.gov/MARC21/slim">
            <xsl:copy-of select="namespace::*"/>
            <xsl:apply-templates select="node()|@*"/>
        </xsl:element>
    </xsl:template>
    
    <xsl:template match="marc:datafield[@tag='901' or @tag='990']"/>
    <xsl:template match="marc:datafield[@tag='100' or @tag='110' or @tag='111' or @tag='700' or @tag='710' or @tag='711']/marc:subfield[@code='0']"/>
    <xsl:template match="marc:datafield[@tag='910' and marc:subfield!='Sigla1' and marc:subfield!='Sigla2' and marc:subfield!='Sigla3' and marc:subfield!='Sigla4']"/>
    <xsl:template match="marc:record[count(marc:datafield[@tag='950'])=0]"/>
    <xsl:template match="marc:record[marc:datafield[@tag='950']/marc:subfield!='ska']"/>
    <xsl:template match="marc:datafield[@tag='950']"/>
</xsl:stylesheet>
